allow more environments on machines with more than 6GB RAM in local mode

This commit is contained in:
Tobias Powalowski 2022-06-11 09:10:35 +02:00
parent 488066e271
commit e937b5fa6b
2 changed files with 4 additions and 4 deletions

View file

@ -122,9 +122,9 @@ fi
# Gnome, KDE/PLASMA or XFCE launch
if [[ "${_L_XFCE}" == "1" || "${_L_PLASMA}" == "1" || "${_L_GNOME}" == "1" || "${_L_GNOME_WAYLAND}" == "1" || "${_L_PLASMA_WAYLAND}" == "1" ]]; then
if [[ -e "/.graphic_run" ]]; then
if [[ -e "/.graphic_run" && "$(grep -w MemTotal /proc/meminfo | cut -d ':' -f2 | sed -e 's# ##g' -e 's#kB$##g')" -lt 5920000 ]]; then
echo -e "\033[1m\033[91mError: Graphical environment already installed ...\033[0m"
echo -e "You are running in \033[1mLocal mode\033[0m, which only can launch \033[1mone\033[0m environment."
echo -e "You are running in \033[1mLocal mode\033[0m with less than \033[1m6GB RAM\033[0m, which only can launch \033[1mone\033[0m environment."
echo -e "Please relaunch your already used graphical environment from commandline."
else
if ! [[ -d /usr.zram ]]; then

View file

@ -323,7 +323,7 @@ _prepare_graphic() {
#shellcheck disable=SC2086
pacman -S ${i} --config ${_PACMAN_CONF} --noconfirm >/dev/null 2>&1 || exit 1
_cleanup_install
_cleanup_cache
[[ "$(grep -w MemTotal /proc/meminfo | cut -d ':' -f2 | sed -e 's# ##g' -e 's#kB$##g')" -lt 5920000 ]] && _cleanup_cache
rm -f /var/log/pacman.log
done
else
@ -342,7 +342,7 @@ _prepare_graphic() {
#shellcheck disable=SC2086
pacman -S ${i} --noconfirm >/dev/null 2>&1 || exit 1
_cleanup_install
_cleanup_cache
[[ "$(grep -w MemTotal /proc/meminfo | cut -d ':' -f2 | sed -e 's# ##g' -e 's#kB$##g')" -lt 5920000 ]] && _cleanup_cache
rm -f /var/log/pacman.log
done
fi